<div class="container px-5">
    <div class="md:bg-transparent bg-white">
        <div class="grid grid-cols-2 md:py-6 py-3">
            <div>
                <img src="logo.svg" alt="checkId-logo" />
            </div>
            <div>
                <div class="md:hidden inline-block rtl:float-left">
                    <button class="mt-3 openbutton" onclick="openMenu(this)">
                        <div class="menu-button"></div>
                    </button>
                </div>
                <div
                class="md:flex md:float-right rtl:md:float-left text-white hidden md:inline-block"
                >
                <a href="about" class="text-sm font-medium leading-6">About</a>
                <a href="contactUs" class="text-sm font-medium leading-6 ml-6 rtl:ml-0 rtl:mr-6">Contact Us</a>
            </div>
        </div>
    </div>
</div>
<div class="mobile-menu bg-white">
    <ul class="p-4 text-darkBlue font-medium text-base">
        <li><a href="about" class="py-5 block border-l-2 border-white hover: hover:border-yellow hover:shadow focus:shadow"><img class="mx-4 align-middle inline-block" src="about.svg" alt=""><span class="align-middle">About Us</span></a></li>
        <li><a href="contact-us" class="py-5 block border-l-2 border-white hover: hover:border-yellow hover:shadow focus:shadow"><img class="mx-4 align-middle inline-block" src="contact.svg" alt=""><span class="align-middle">Contact Us</span></a></li>
    </ul>
</div>
</div>
<style>
    .mobile-menu {
        visibility: hidden;
        position: fixed;
        z-index: 9999;
        left: 100%;
        transition: all 0.3s ease-in-out;
        width: 100vw;
        height: 100vh;
    }
    .mobile-menu.open {
        visibility: visible;
        left: 0%;
    }
    .openbutton {
        width: 18px;
        height: 18px;
        background-color: transparent;
    }
    .menu-button {
        width: 18px;
        height: 2px;
        background-color: #19236D;
        position: relative;
        transition: all 0.2s ease-in-out;
    }
    .menu-button:before {
        top: -5px;
    }
    .menu-button:after {
        top: 5px;
    }
    .menu-button:before, .menu-button:after {
        content: "";
        left: 0;
        position: absolute;
        width: 18px;
        height: 2px;
        background-color: #19236D;
        transition: all 0.2s ease-in-out;
    }
    .openbutton.open .menu-button {
        background-color: transparent;
    }
    .openbutton.open .menu-button:before {
        top: 0px;
        transform: rotate(45deg);
    }
    .openbutton.open .menu-button:after {
        top: 0px;
        transform: rotate(135deg);
    }
</style>
<script type="text/javascript">
    function openMenu(current) {
        const menu = document.querySelector(".mobile-menu");
        menu.classList.toggle("open");
        current.classList.toggle("open");
    }
</script>
